#ifndef	_K_PALLET_H
#define	_K_PALLET_H

#include "kpixel.h"

class KPallet
{
  KRGB *palletRGB;
  KYPbPr *palletYPbPr;
  int pal_num;
	
public:
  KPallet(int n);
  ~KPallet();
	
  int put_color(int n, KRGB d);
  int put_color(int n, KYPbPr d);
  KRGB get_color(int n);
  int get_colorNum(void) {
    return pal_num;
  }
	
  int srch_color(KRGB d);
  int srch_nearRGBColor(KRGB d);
  int srch_nearYPbPrColor(KYPbPr d);
	
protected:
  int chkNum(int n);
};

#endif	//	end of kpalet.h
