#ifndef _SUBC_H
#define _SUBC_H

#define	WINDOW_SIZE_H   464
#define	WINDOW_SIZE_V   320

#define CHAR_SIZE_H     8
#define CHAR_SIZE_V     16

#define CHAR_NUM_X      (WINDOW_SIZE_H / CHAR_SIZE_H)
#define CHAR_NUM_Y      (WINDOW_SIZE_V / CHAR_SIZE_V)

#include "gcommon.h"
#include "getkey.h"

class TextScreen;

class OutSider
{
  TextScreen *ts;
  GetKey *gk;
	
public:
  OutSider() {
    ts = NULL;
    gk = NULL;
  }

  ~OutSider() {}
	
  void set_TextScreen(TextScreen *p) {
    ts = p;
  }
  void end_TextScreen() {
    set_TextScreen(NULL);
  }

  void locate(int x, int y);
  void cls();
  void line_cls(int n);
  void println(TC *str);
  void println(int d);
  int get_curX();
  int get_curY();
	
  void set_GetKey(GetKey *p) {
    gk = p;
  }

  void end_GetKey() {
    set_GetKey(NULL);
  }

  TC getkey();
  void flushkey();
};

void eventloop();

#endif // _SUBC_H

