#include <basic.h>
#include <bstdio.h>
#include <new>
#include "v_obj.h"

VirtualObjectList::VirtualObjectList()
{
  objNum = 0;
// b_printf("VirtualObjectList constructor\n");
  LINK *dummy = new(std::nothrow) LINK;
  pEnd = new(std::nothrow) VirtualObject(dummy, NULL);
  pStart = pEnd;
  pCursor = pStart;
}

int VirtualObjectList::setObject(LINK *data)
{
  VirtualObject *p;
// b_printf("start KTextLine \n");
  p = new(std::nothrow) VirtualObject(data, NULL);
  if (p == NULL){
    printf("Can't new <VirtualobjectList> \n");
    return 1;
  }
  pEnd->setNext(p);
  pEnd = p;
  objNum++;
  return 0;
}

VirtualObject* VirtualObjectList::getVirtualObject()
{
  if (pCursor != NULL){
    pCursor = pCursor->getNext();
    return pCursor;
  }
  return NULL;
}

void VirtualObjectList::deleteAll()
{
  VirtualObject *p;
  while (pStart != NULL){
    p = pStart;
    pStart = pStart->getNext();
    delete p;
  }
  objNum = 0;
  LINK* dummy = new(std::nothrow) LINK;
  pEnd = new(std::nothrow) VirtualObject(dummy, NULL);
  pStart = pEnd;
  pCursor = pStart;
}

